Package com.documentum.operations

# Interface IDfNodePopulator

public interface IDfNodePopulator
Represents a mechanism that supports the creation of nodes that an operation is applied against. An operation contains a structure of nodes and descendants. When you obtain an operation, it has no nodes (i.e., DFC does not regard the operation itself as a node). When you use an operation’s add method to add documents or other content items to the operation, it creates new root nodes. The add method is the populator for the operation. For example, DfDirectoryPopulator iterates through all the files and subdirectories in a file system directory and adds them as nodes to an import operation. There are other out of box populators for adding system objects, virtual documents, files, etc. Lists of populators are visited from top to bottom until a populator accepts the responsibility of creating one or more nodes based on given object.

Since:
  7.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfNodePopulatorContext`
  `getContext()`
  Retrieves the DFC frameworks's call back mechanism.
  `IDfOperationNode`
  `process(Object newObject)`
  Builds an IDfOperationNode
  `void`
  `setContext(IDfNodePopulatorContext nodePopulatorContext)`
  Supplies a call back mechanism on the framework that helps build an operation node.

- ## Method Details

  - ### process

    IDfOperationNode process(Object newObject) throws DfException
    Builds an IDfOperationNode
    Parameters:
      `newObject` - file or a system object. This is the same object that the consumer of the operation added by using add().
    Returns:
      an operation node corresponding to the newObject or null if this particular implementation does not have business logic to build an operation node for the newObject.
    Throws:
      `DfException`

  - ### setContext

    void setContext(IDfNodePopulatorContext nodePopulatorContext)
    Supplies a call back mechanism on the framework that helps build an operation node.

  - ### getContext

    IDfNodePopulatorContext getContext()
    Retrieves the DFC frameworks's call back mechanism.
    Returns:
      populator context